> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Checkout Messages



## OpenAPI

````yaml get /unstable/agent-checkouts/{id}/messages
openapi: 3.0.0
info:
  contact:
    email: support@crossmint.com
    name: Crossmint Support
    url: https://www.crossmint.com
  description: Crossmint Agents API
  title: Crossmint Agents API
  version: 1.0.0
servers:
  - description: Staging environment (testnets)
    url: https://staging.crossmint.com/api
  - description: Production environment (mainnets)
    url: https://www.crossmint.com/api
security: []
tags: []
paths:
  /unstable/agent-checkouts/{id}/messages:
    get:
      tags:
        - Agent Checkouts
      summary: List Agent Checkout Messages
      operationId: AgentCheckoutsController-listMessages-2
      parameters:
        - description: >-
            Server-side subject to act on behalf of. Ignored for client-side
            user auth.
          in: header
          name: x-crossmint-user-id
          required: false
          schema:
            type: string
        - description: Bearer token for client-side user auth.
          in: header
          name: Authorization
          required: false
          schema:
            type: string
        - description: Crossmint project API key.
          in: header
          name: X-API-KEY
          required: true
          schema:
            type: string
        - in: path
          name: id
          required: true
          schema:
            minLength: 1
            type: string
        - in: query
          name: cursor
          required: false
          schema:
            minLength: 1
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentCheckoutMessageListResponseDTO'
          description: ''
components:
  schemas:
    AgentCheckoutMessageListResponseDTO:
      properties:
        data:
          items:
            properties:
              createdAt:
                allOf:
                  - pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                  - pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                type: string
              id:
                minLength: 1
                type: string
              parts:
                items:
                  anyOf:
                    - anyOf:
                        - properties:
                            action:
                              enum:
                                - alternative
                              type: string
                            requestId:
                              minLength: 1
                              type: string
                            text:
                              minLength: 1
                              type: string
                            type:
                              enum:
                                - input_response
                              type: string
                          required:
                            - action
                            - requestId
                            - text
                            - type
                          type: object
                        - properties:
                            action:
                              enum:
                                - decline
                              type: string
                            requestId:
                              minLength: 1
                              type: string
                            type:
                              enum:
                                - input_response
                              type: string
                          required:
                            - action
                            - requestId
                            - type
                          type: object
                        - properties:
                            action:
                              enum:
                                - submit
                              type: string
                            requestId:
                              minLength: 1
                              type: string
                            response:
                              properties:
                                fields:
                                  items:
                                    properties:
                                      answer:
                                        enum:
                                          - omitted
                                          - provided
                                        type: string
                                      application:
                                        enum:
                                          - already_satisfied
                                          - not_attempted
                                          - unresolved
                                          - verified
                                        type: string
                                      key:
                                        minLength: 1
                                        type: string
                                      label:
                                        minLength: 1
                                        type: string
                                    required:
                                      - answer
                                      - application
                                      - key
                                      - label
                                    type: object
                                  type: array
                                kind:
                                  enum:
                                    - form
                                  type: string
                              required:
                                - fields
                                - kind
                              type: object
                            type:
                              enum:
                                - input_response
                              type: string
                          required:
                            - action
                            - requestId
                            - response
                            - type
                          type: object
                    - properties:
                        code:
                          enum:
                            - merchant.access_blocked
                            - merchant.checkout_error
                            - merchant.fulfillment_unavailable
                            - merchant.human_verification_required
                            - merchant.no_safe_path
                            - merchant.payment_declined
                            - policy.max_cost_exceeded
                            - product.item_unavailable
                            - product.requested_option_unavailable
                          type: string
                        outcome:
                          enum:
                            - blocked
                          type: string
                        summary:
                          maxLength: 2000
                          minLength: 1
                          type: string
                        type:
                          enum:
                            - result
                          type: string
                      required:
                        - code
                        - outcome
                        - summary
                        - type
                      type: object
                    - properties:
                        delivery:
                          enum:
                            - accepted
                            - consumed
                          type: string
                        text:
                          maxLength: 20000
                          minLength: 1
                          type: string
                        type:
                          enum:
                            - text
                          type: string
                      required:
                        - text
                        - type
                      type: object
                    - properties:
                        expiresAt:
                          allOf:
                            - pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            - pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          type: string
                        interaction:
                          properties:
                            kind:
                              enum:
                                - form
                              type: string
                            responseSchema:
                              additionalProperties: true
                              type: object
                            uiSchema:
                              additionalProperties: true
                              type: object
                          required:
                            - kind
                            - responseSchema
                            - uiSchema
                          type: object
                        question:
                          minLength: 1
                          type: string
                        requestId:
                          minLength: 1
                          type: string
                        status:
                          enum:
                            - closed
                            - open
                          type: string
                        type:
                          enum:
                            - input_request
                          type: string
                      required:
                        - expiresAt
                        - interaction
                        - question
                        - requestId
                        - status
                        - type
                      type: object
                    - properties:
                        operations:
                          items:
                            properties:
                              count:
                                maximum: 9007199254740991
                                minimum: -9007199254740991
                                type: integer
                              kind:
                                enum:
                                  - apply_buyer_information
                                  - cdp
                                  - click
                                  - evaluate
                                  - fill
                                  - inspect
                                  - navigate
                                  - observe
                                  - press
                                  - read_playbook
                                  - scroll
                                  - select
                                  - wait
                                type: string
                            required:
                              - count
                              - kind
                            type: object
                          type: array
                        status:
                          enum:
                            - completed
                            - incomplete
                            - running
                            - uncertain
                          type: string
                        type:
                          enum:
                            - activity
                          type: string
                      required:
                        - operations
                        - status
                        - type
                      type: object
                    - properties:
                        outcome:
                          enum:
                            - cancelled
                          type: string
                        summary:
                          maxLength: 2000
                          minLength: 1
                          type: string
                        type:
                          enum:
                            - result
                          type: string
                      required:
                        - outcome
                        - summary
                        - type
                      type: object
                    - properties:
                        outcome:
                          enum:
                            - failed
                          type: string
                        summary:
                          maxLength: 2000
                          minLength: 1
                          type: string
                        type:
                          enum:
                            - result
                          type: string
                      required:
                        - outcome
                        - summary
                        - type
                      type: object
                    - properties:
                        outcome:
                          enum:
                            - succeeded
                          type: string
                        purchase:
                          anyOf:
                            - properties:
                                kind:
                                  enum:
                                    - confirmed_without_receipt
                                  type: string
                              required:
                                - kind
                              type: object
                            - properties:
                                kind:
                                  enum:
                                    - receipt_captured
                                  type: string
                                receipt:
                                  properties:
                                    merchantOrderId:
                                      maxLength: 500
                                      minLength: 1
                                      type: string
                                    total:
                                      properties:
                                        amount:
                                          pattern: ^(?:0|[1-9]\d{0,14})(?:\.\d{1,6})?$
                                          type: string
                                        currency:
                                          pattern: ^[A-Z]{3}$
                                          type: string
                                      required:
                                        - amount
                                        - currency
                                      type: object
                                  required:
                                    - total
                                  type: object
                              required:
                                - kind
                                - receipt
                              type: object
                        summary:
                          maxLength: 2000
                          minLength: 1
                          type: string
                        type:
                          enum:
                            - result
                          type: string
                      required:
                        - outcome
                        - purchase
                        - summary
                        - type
                      type: object
                    - properties:
                        text:
                          maxLength: 240
                          minLength: 1
                          type: string
                        type:
                          enum:
                            - progress
                          type: string
                      required:
                        - text
                        - type
                      type: object
                minItems: 1
                type: array
              revision:
                maximum: 9007199254740991
                minimum: -9007199254740991
                type: integer
              role:
                enum:
                  - assistant
                  - user
                type: string
            required:
              - createdAt
              - id
              - parts
              - revision
              - role
            type: object
          type: array
        nextCursor:
          minLength: 1
          nullable: true
          type: string
        streamCursor:
          minLength: 1
          type: string
      required:
        - data
        - nextCursor
        - streamCursor
      type: object

````